`timescale  100 ps / 10 ps
module SAMPLE_USAGE_MULT18X18S_PLUS;

parameter CLOCK_CYCLE = 10;

reg [15:0] A_INPUT, B_INPUT;
reg CLK, RST;

wire [31:0] P_OUTPUT;

MULT16X16S_PLUS sample_instantiation(.A_INPUT(A_INPUT), .B_INPUT(B_INPUT), .CLK(CLK), .RST(RST), .CE(1'b1), .P_OUTPUT(P_OUTPUT));

initial
 begin
  A_INPUT = 16'h00000; B_INPUT = 16'h00000; CLK = 1'b1; RST = 1'b0;
 end
 
always
 #(CLOCK_CYCLE/2.0) CLK = ~CLK;
 
initial
 begin
  #(0.3*CLOCK_CYCLE) RST = 1'b1;
  #(0.3*CLOCK_CYCLE) RST = 1'b0;
  #(7.7*CLOCK_CYCLE) A_INPUT = 16'h00005; B_INPUT = 16'h00005;
  #(CLOCK_CYCLE) A_INPUT = 16'h00007; B_INPUT = 16'h00008;
  #100 A_INPUT = 16'h0000F; B_INPUT = 16'h00005;
  #1000 $finish;
end

endmodule