`timescale  100 ps / 10 ps
module MULT16X16S_PLUS(A_INPUT, B_INPUT, CLK, RST, CE, P_OUTPUT);


input [15:0] A_INPUT/*synthesis syn_useioff = 0*/; 
input [15:0] B_INPUT/*synthesis syn_useioff = 0*/;
input CLK, RST, CE;

output [31:0] P_OUTPUT/*synthesis syn_useioff = 0*/;

wire [15:0] a_wire, b_wire;
wire [35:0] p_wire;


FDR REG_A0(.Q(a_wire[0]), .C(CLK), .D(A_INPUT[0]), .R(RST))/*synthesis RLOC = "X0Y0" xc_props = "BEL=FFX" */;
FDR REG_A1(.Q(a_wire[1]), .C(CLK), .D(A_INPUT[1]), .R(RST))/*synthesis RLOC = "X0Y0" xc_props = "BEL=FFY" */;
FDR REG_A2(.Q(a_wire[2]), .C(CLK), .D(A_INPUT[2]), .R(RST))/*synthesis RLOC = "X0Y1" xc_props = "BEL=FFX" */;
FDR REG_A3(.Q(a_wire[3]), .C(CLK), .D(A_INPUT[3]), .R(RST))/*synthesis RLOC = "X0Y1" xc_props = "BEL=FFY" */;
FDR REG_A4(.Q(a_wire[4]), .C(CLK), .D(A_INPUT[4]), .R(RST))/*synthesis RLOC = "X0Y2" xc_props = "BEL=FFX" */;
FDR REG_A5(.Q(a_wire[5]), .C(CLK), .D(A_INPUT[5]), .R(RST))/*synthesis RLOC = "X0Y2" xc_props = "BEL=FFY" */;
FDR REG_A6(.Q(a_wire[6]), .C(CLK), .D(A_INPUT[6]), .R(RST))/*synthesis RLOC = "X0Y3" xc_props = "BEL=FFX" */;
FDR REG_A7(.Q(a_wire[7]), .C(CLK), .D(A_INPUT[7]), .R(RST))/*synthesis RLOC = "X0Y3" xc_props = "BEL=FFY" */;
FDR REG_A8(.Q(a_wire[8]), .C(CLK), .D(A_INPUT[8]), .R(RST))/*synthesis RLOC = "X0Y4" xc_props = "BEL=FFX" */;
FDR REG_A9(.Q(a_wire[9]), .C(CLK), .D(A_INPUT[9]), .R(RST))/*synthesis RLOC = "X0Y4" xc_props = "BEL=FFY" */;
FDR REG_A10(.Q(a_wire[10]), .C(CLK), .D(A_INPUT[10]), .R(RST))/*synthesis RLOC = "X0Y5" xc_props = "BEL=FFX" */;
FDR REG_A11(.Q(a_wire[11]), .C(CLK), .D(A_INPUT[11]), .R(RST))/*synthesis RLOC = "X0Y5" xc_props = "BEL=FFY" */;
FDR REG_A12(.Q(a_wire[12]), .C(CLK), .D(A_INPUT[12]), .R(RST))/*synthesis RLOC = "X0Y6" xc_props = "BEL=FFX" */;
FDR REG_A13(.Q(a_wire[13]), .C(CLK), .D(A_INPUT[13]), .R(RST))/*synthesis RLOC = "X0Y6" xc_props = "BEL=FFY" */;
FDR REG_A14(.Q(a_wire[14]), .C(CLK), .D(A_INPUT[14]), .R(RST))/*synthesis RLOC = "X0Y7" xc_props = "BEL=FFX" */;
FDR REG_A15(.Q(a_wire[15]), .C(CLK), .D(A_INPUT[15]), .R(RST))/*synthesis RLOC = "X0Y7" xc_props = "BEL=FFY" */;

FDR REG_B0(.Q(b_wire[0]), .C(CLK), .D(B_INPUT[0]), .R(RST))/*synthesis RLOC = "X2Y0" xc_props = "BEL=FFX" */;
FDR REG_B1(.Q(b_wire[1]), .C(CLK), .D(B_INPUT[1]), .R(RST))/*synthesis RLOC = "X2Y0" xc_props = "BEL=FFY" */;
FDR REG_B2(.Q(b_wire[2]), .C(CLK), .D(B_INPUT[2]), .R(RST))/*synthesis RLOC = "X2Y1" xc_props = "BEL=FFX" */;
FDR REG_B3(.Q(b_wire[3]), .C(CLK), .D(B_INPUT[3]), .R(RST))/*synthesis RLOC = "X2Y1" xc_props = "BEL=FFY" */;
FDR REG_B4(.Q(b_wire[4]), .C(CLK), .D(B_INPUT[4]), .R(RST))/*synthesis RLOC = "X2Y2" xc_props = "BEL=FFX" */;
FDR REG_B5(.Q(b_wire[5]), .C(CLK), .D(B_INPUT[5]), .R(RST))/*synthesis RLOC = "X2Y2" xc_props = "BEL=FFY" */;
FDR REG_B6(.Q(b_wire[6]), .C(CLK), .D(B_INPUT[6]), .R(RST))/*synthesis RLOC = "X2Y3" xc_props = "BEL=FFX" */;
FDR REG_B7(.Q(b_wire[7]), .C(CLK), .D(B_INPUT[7]), .R(RST))/*synthesis RLOC = "X2Y3" xc_props = "BEL=FFY" */;
FDR REG_B8(.Q(b_wire[8]), .C(CLK), .D(B_INPUT[8]), .R(RST))/*synthesis RLOC = "X2Y4" xc_props = "BEL=FFX" */;
FDR REG_B9(.Q(b_wire[9]), .C(CLK), .D(B_INPUT[9]), .R(RST))/*synthesis RLOC = "X2Y4" xc_props = "BEL=FFY" */;
FDR REG_B10(.Q(b_wire[10]), .C(CLK), .D(B_INPUT[10]), .R(RST))/*synthesis RLOC = "X2Y5" xc_props = "BEL=FFX" */;
FDR REG_B11(.Q(b_wire[11]), .C(CLK), .D(B_INPUT[11]), .R(RST))/*synthesis RLOC = "X2Y5" xc_props = "BEL=FFY" */;
FDR REG_B12(.Q(b_wire[12]), .C(CLK), .D(B_INPUT[12]), .R(RST))/*synthesis RLOC = "X2Y6" xc_props = "BEL=FFX" */;
FDR REG_B13(.Q(b_wire[13]), .C(CLK), .D(B_INPUT[13]), .R(RST))/*synthesis RLOC = "X2Y6" xc_props = "BEL=FFY" */;
FDR REG_B14(.Q(b_wire[14]), .C(CLK), .D(B_INPUT[14]), .R(RST))/*synthesis RLOC = "X2Y7" xc_props = "BEL=FFX" */;
FDR REG_B15(.Q(b_wire[15]), .C(CLK), .D(B_INPUT[15]), .R(RST))/*synthesis RLOC = "X2Y7" xc_props = "BEL=FFY" */;

MULT18X18S test_mult16x16s(.P(p_wire), .A({2'h0,a_wire}), .B({2'h0,b_wire}), .C(CLK), .CE(CE), .R(RST));

FDR REG_P0(.Q(P_OUTPUT[0]), .C(CLK), .D(p_wire[0]), .R(RST))/*synthesis RLOC = "X1Y0" xc_props = "BEL=FFX" */;
FDR REG_P1(.Q(P_OUTPUT[1]), .C(CLK), .D(p_wire[1]), .R(RST))/*synthesis RLOC = "X1Y0" xc_props = "BEL=FFY" */;
FDR REG_P2(.Q(P_OUTPUT[2]), .C(CLK), .D(p_wire[2]), .R(RST))/*synthesis RLOC = "X1Y1" xc_props = "BEL=FFX" */;
FDR REG_P3(.Q(P_OUTPUT[3]), .C(CLK), .D(p_wire[3]), .R(RST))/*synthesis RLOC = "X1Y1" xc_props = "BEL=FFY" */;
FDR REG_P4(.Q(P_OUTPUT[4]), .C(CLK), .D(p_wire[4]), .R(RST))/*synthesis RLOC = "X3Y0" xc_props = "BEL=FFX" */;
FDR REG_P5(.Q(P_OUTPUT[5]), .C(CLK), .D(p_wire[5]), .R(RST))/*synthesis RLOC = "X3Y0" xc_props = "BEL=FFY" */;
FDR REG_P6(.Q(P_OUTPUT[6]), .C(CLK), .D(p_wire[6]), .R(RST))/*synthesis RLOC = "X3Y1" xc_props = "BEL=FFX" */;
FDR REG_P7(.Q(P_OUTPUT[7]), .C(CLK), .D(p_wire[7]), .R(RST))/*synthesis RLOC = "X3Y1" xc_props = "BEL=FFY" */;
FDR REG_P8(.Q(P_OUTPUT[8]), .C(CLK), .D(p_wire[8]), .R(RST))/*synthesis RLOC = "X1Y2" xc_props = "BEL=FFX" */;
FDR REG_P9(.Q(P_OUTPUT[9]), .C(CLK), .D(p_wire[9]), .R(RST))/*synthesis RLOC = "X1Y2" xc_props = "BEL=FFY" */;
FDR REG_P10(.Q(P_OUTPUT[10]), .C(CLK), .D(p_wire[10]), .R(RST))/*synthesis RLOC = "X1Y3" xc_props = "BEL=FFX" */;
FDR REG_P11(.Q(P_OUTPUT[11]), .C(CLK), .D(p_wire[11]), .R(RST))/*synthesis RLOC = "X1Y3" xc_props = "BEL=FFY" */;
FDR REG_P12(.Q(P_OUTPUT[12]), .C(CLK), .D(p_wire[12]), .R(RST))/*synthesis RLOC = "X3Y2" xc_props = "BEL=FFX" */;
FDR REG_P13(.Q(P_OUTPUT[13]), .C(CLK), .D(p_wire[13]), .R(RST))/*synthesis RLOC = "X3Y2" xc_props = "BEL=FFY" */;
FDR REG_P14(.Q(P_OUTPUT[14]), .C(CLK), .D(p_wire[14]), .R(RST))/*synthesis RLOC = "X3Y3" xc_props = "BEL=FFX" */;
FDR REG_P15(.Q(P_OUTPUT[15]), .C(CLK), .D(p_wire[15]), .R(RST))/*synthesis RLOC = "X3Y3" xc_props = "BEL=FFY" */;
FDR REG_P16(.Q(P_OUTPUT[16]), .C(CLK), .D(p_wire[16]), .R(RST))/*synthesis RLOC = "X1Y4" xc_props = "BEL=FFX" */;
FDR REG_P17(.Q(P_OUTPUT[17]), .C(CLK), .D(p_wire[17]), .R(RST))/*synthesis RLOC = "X1Y4" xc_props = "BEL=FFY" */;
FDR REG_P18(.Q(P_OUTPUT[18]), .C(CLK), .D(p_wire[18]), .R(RST))/*synthesis RLOC = "X1Y5" xc_props = "BEL=FFX" */;
FDR REG_P19(.Q(P_OUTPUT[19]), .C(CLK), .D(p_wire[19]), .R(RST))/*synthesis RLOC = "X1Y5" xc_props = "BEL=FFY" */;
FDR REG_P20(.Q(P_OUTPUT[20]), .C(CLK), .D(p_wire[20]), .R(RST))/*synthesis RLOC = "X3Y4" xc_props = "BEL=FFX" */;
FDR REG_P21(.Q(P_OUTPUT[21]), .C(CLK), .D(p_wire[21]), .R(RST))/*synthesis RLOC = "X3Y4" xc_props = "BEL=FFY" */;
FDR REG_P22(.Q(P_OUTPUT[22]), .C(CLK), .D(p_wire[22]), .R(RST))/*synthesis RLOC = "X3Y5" xc_props = "BEL=FFX" */;
FDR REG_P23(.Q(P_OUTPUT[23]), .C(CLK), .D(p_wire[23]), .R(RST))/*synthesis RLOC = "X3Y5" xc_props = "BEL=FFY" */;
FDR REG_P24(.Q(P_OUTPUT[24]), .C(CLK), .D(p_wire[24]), .R(RST))/*synthesis RLOC = "X1Y6" xc_props = "BEL=FFX" */;
FDR REG_P25(.Q(P_OUTPUT[25]), .C(CLK), .D(p_wire[25]), .R(RST))/*synthesis RLOC = "X1Y6" xc_props = "BEL=FFY" */;
FDR REG_P26(.Q(P_OUTPUT[26]), .C(CLK), .D(p_wire[26]), .R(RST))/*synthesis RLOC = "X1Y7" xc_props = "BEL=FFX" */;
FDR REG_P27(.Q(P_OUTPUT[27]), .C(CLK), .D(p_wire[27]), .R(RST))/*synthesis RLOC = "X1Y7" xc_props = "BEL=FFY" */;
FDR REG_P28(.Q(P_OUTPUT[28]), .C(CLK), .D(p_wire[28]), .R(RST))/*synthesis RLOC = "X3Y6" xc_props = "BEL=FFX" */;
FDR REG_P29(.Q(P_OUTPUT[29]), .C(CLK), .D(p_wire[29]), .R(RST))/*synthesis RLOC = "X3Y6" xc_props = "BEL=FFY" */;
FDR REG_P30(.Q(P_OUTPUT[30]), .C(CLK), .D(p_wire[30]), .R(RST))/*synthesis RLOC = "X3Y7" xc_props = "BEL=FFX" */;
FDR REG_P31(.Q(P_OUTPUT[31]), .C(CLK), .D(p_wire[31]), .R(RST))/*synthesis RLOC = "X3Y7" xc_props = "BEL=FFY" */;
                                                                                                           
endmodule